package com.pj.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 司机
 * @Author Mechrevo
 * @Date 2023 08 01 10 01
 **/
public class DriverDto {



    /**
     * 姓名
     */
    private String name;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 性别性别(1=男,2=女)
     */
    private Integer sex;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 联系地址
     */
    private String address;

    /**
     * 银行卡号
     */
    private String bankCode;

    /**
     * 银行名称
     */
    private String bankName;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 身份证照片
     */
    private String idCardImg;

    /**
     * 驾驶证号
     */
    private String drivingLicenseId;

    /**
     * 驾驶证照片
     */
    private String drivingLicenseImg;

    /**
     * 车辆行驶证号
     */
    private String vehicleDrivingId;

    /**
     * 车辆行驶证照片
     */
    private String vehicleDrivingImg;

    /**
     * 车辆前脸照
     */
    private String vehicleImg;

    /**
     * 注册时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date registerTime;

    /**
     * 是否被锁定
     */
    private Integer isLock;

    /**
     * 审核不通过原因
     */
    private String nopassReason;


    /**
     * 审核状态(0=待审核，1=已通过，2=不通过)
     */
    private Integer auditStatus;

    /**
     * 审核人
     */
    private String auditBy;

    /**
     * 审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date auditTime;



    /**
     * 创建者id
     */
    private String createBy;

    /**
     * 创建者名称
     */
    private String createName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;



    /**
     * 更新者id
     */
    private String updateBy;

    /**
     * 更新者名称
     */
    private String updateName;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;




    /**
     * 删除状态
     */
    private Integer deleteStatus;


    /**
     * 贸易区域id
     */
    private Long tradeAreaId;

    /**
     * 贸易区域名称
     */
    private String tradeAreaName;




    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getIdCardImg() {
        return idCardImg;
    }

    public void setIdCardImg(String idCardImg) {
        this.idCardImg = idCardImg;
    }

    public String getDrivingLicenseId() {
        return drivingLicenseId;
    }

    public void setDrivingLicenseId(String drivingLicenseId) {
        this.drivingLicenseId = drivingLicenseId;
    }

    public String getDrivingLicenseImg() {
        return drivingLicenseImg;
    }

    public void setDrivingLicenseImg(String drivingLicenseImg) {
        this.drivingLicenseImg = drivingLicenseImg;
    }

    public String getVehicleDrivingId() {
        return vehicleDrivingId;
    }

    public void setVehicleDrivingId(String vehicleDrivingId) {
        this.vehicleDrivingId = vehicleDrivingId;
    }

    public String getVehicleDrivingImg() {
        return vehicleDrivingImg;
    }

    public void setVehicleDrivingImg(String vehicleDrivingImg) {
        this.vehicleDrivingImg = vehicleDrivingImg;
    }

    public String getVehicleImg() {
        return vehicleImg;
    }

    public void setVehicleImg(String vehicleImg) {
        this.vehicleImg = vehicleImg;
    }

    public Date getRegisterTime() {
        return registerTime;
    }

    public void setRegisterTime(Date registerTime) {
        this.registerTime = registerTime;
    }

    public Integer getIsLock() {
        return isLock;
    }

    public void setIsLock(Integer isLock) {
        this.isLock = isLock;
    }

    public String getNopassReason() {
        return nopassReason;
    }

    public void setNopassReason(String nopassReason) {
        this.nopassReason = nopassReason;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getAuditBy() {
        return auditBy;
    }

    public void setAuditBy(String auditBy) {
        this.auditBy = auditBy;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Long getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Long tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public DriverDto(String name, Integer age, Integer sex, String phone, String address, String bankCode, String bankName, String idCard, String idCardImg, String drivingLicenseId, String drivingLicenseImg, String vehicleDrivingId, String vehicleDrivingImg, String vehicleImg, Date registerTime, Integer isLock, String nopassReason, Integer auditStatus, String auditBy, Date auditTime, String createBy, String createName, Date createTime, String updateBy, String updateName, Date updateTime, Integer deleteStatus, Long tradeAreaId, String tradeAreaName) {

        this.name = name;
        this.age = age;
        this.sex = sex;
        this.phone = phone;
        this.address = address;
        this.bankCode = bankCode;
        this.bankName = bankName;
        this.idCard = idCard;
        this.idCardImg = idCardImg;
        this.drivingLicenseId = drivingLicenseId;
        this.drivingLicenseImg = drivingLicenseImg;
        this.vehicleDrivingId = vehicleDrivingId;
        this.vehicleDrivingImg = vehicleDrivingImg;
        this.vehicleImg = vehicleImg;
        this.registerTime = registerTime;
        this.isLock = isLock;
        this.nopassReason = nopassReason;
        this.auditStatus = auditStatus;
        this.auditBy = auditBy;
        this.auditTime = auditTime;
        this.createBy = createBy;
        this.createName = createName;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.updateTime = updateTime;
        this.deleteStatus = deleteStatus;
        this.tradeAreaId = tradeAreaId;
        this.tradeAreaName = tradeAreaName;
    }

    public DriverDto() {
    }
}
